/// class PD.Web.UI.Controls.ViewGridFooterModule
/// using PD.Web.UI.Controls.GridModule

PD.Web.UI.Controls.ViewGridFooterModule =
PD.Web.UI.Controls.GridModule.extend({

    //===================================
    // PUBLIC METHODS
    //===================================

    getOptionSettings: function () {
        return {
            pageable: {
                previousNext: false,
                numeric: false,
                buttonCount: 0,
                messages: {
                    display: "{2} Item(s)",
                    empty: "No Items"
                }
            }
        }
    },

    start: function () {

        var NS = PD.Web.UI.Controls;

        this.get_grid().addFooterWidget(new NS.FilterSummaryGridWidget({
            grid: this.get_grid()
        }));

        this.get_grid().addFooterWidget(new NS.ItemCountGridWidget({
            dock: "right",
            grid: this.get_grid()
        }));

    }

});